---
title: baseline-shift
slug: Web/SVG/Attribute/baseline-shift
tags:
  - NeedsExample
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}</div>

<p>The <strong><code>baseline-shift</code></strong> attribute allows repositioning of the dominant-baseline relative to the dominant-baseline of the parent text content element. The shifted object might be a sub- or superscript.</p>

<p class="note"><strong>Note:</strong> As a presentation attribute <code>baseline-shift</code> can be used as a CSS property.</p>

<p class="note"><strong>Note:</strong> This property is going to be deprecated and authors are advised to use <code><a href="/en-US/docs/Web/CSS/vertical-align">vertical-align</a></code> instead.</p>

<p>As a presentation attribute, it can be applied to any element but it has effect only on the following four elements: {{SVGElement("altGlyph")}}, {{SVGElement("textPath")}}, {{SVGElement("tref")}}, and {{SVGElement("tspan")}}</p>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td>{{cssxref("length-percentage")}} | <code>sub</code> <span>|</span> <code>super</code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>0</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt><code>sub</code></dt>
 <dd>The dominant-baseline is shifted to the default position for subscripts.</dd>
 <dt><code>super</code></dt>
 <dd>The dominant-baseline is shifted to the default position for superscripts.</dd>
 <dt><code>&lt;length-percentage&gt;</code></dt>
 <dd>A length value raises (positive value) or lowers (negative value) the dominant-baseline of the parent text content element by the specified length.</dd>
 <dd>A percentage value raises (positive value) or lowers (negative value) the dominant-baseline of the parent text content element by the specified percentage of the {{SVGAttr("line-height")}}.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS3 Inline", "#propdef-baseline-shift", "alignment-baseline")}}</td>
   <td>{{Spec2("CSS3 Inline")}}</td>
   <td>Removed the <code>baseline</code> value, as it is a redundant keyword within the {{SVGAttr("vertical-align")}} property.</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG2", "text.html#BaselineShiftProperty", "alignment-baseline")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>Refers to the definition in CSS Inline Layout and notes that {{SVGAttr("vertical-align")}} should be preferred.</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "text.html#BaselineShiftProperty", "alignment-baseline")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser compatibility</h2>

<p>{{Compat("svg.attributes.presentation.baseline-shift")}}</p>
